// TabPageTwo.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "Eapi.h"
#include "Eapi_Seco.h"
#include "TabPage6.h"

BOOL bTriggerFlag = FALSE;

// CTabPageSix dialog

IMPLEMENT_DYNAMIC(CTabPageSix, CDialog)
CTabPageSix::CTabPageSix(CWnd* pParent /*=NULL*/)
	: CDialog(CTabPageSix::IDD, pParent)
	, m_Timeout_Expressed(0)
	, m_Delay_Expressed(0)
	, m_WDT_Mode(0)
	, m_Trigger_SW_HW(0)
	, m_Reset(3000)
	, m_Delay(3000)
	, m_Event(0)
{
}

CTabPageSix::~CTabPageSix()
{
	bTriggerFlag = true;
}

void CTabPageSix::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);	
	DDX_Radio(pDX, IDC_RADIO5, m_Timeout_Expressed);
	DDX_Radio(pDX, IDC_RADIO7, m_Delay_Expressed);
	DDX_Radio(pDX, IDC_RADIO11, m_WDT_Mode);
	DDX_Radio(pDX, IDC_RADIO24, m_Trigger_SW_HW);
	DDX_Text(pDX, IDC_EDIT1, m_Reset);
	DDX_Text(pDX, IDC_EDIT7, m_Delay);
	DDX_Text(pDX, IDC_EDIT10, m_Event);
}


BEGIN_MESSAGE_MAP(CTabPageSix, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDC_ENABLE_WDT, OnBnClickedEnableWdt)
	ON_BN_CLICKED(IDC_START_TRIG, OnBnClickedStartTrig)
	ON_BN_CLICKED(IDC_DISABLE_WDT, OnBnClickedDisableWdt)
	ON_BN_CLICKED(IDC_STOP_TRIG, OnBnClickedStopTrig)
	ON_BN_CLICKED(IDC_ENABLE_WDT_CUSTOM, &CTabPageSix::OnBnClickedEnableWDTCustom)
END_MESSAGE_MAP()


// CTabPageSix message handlers

void CTabPageSix::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here

}

DWORD WINAPI CTabPageSix::ThreadProc_Trigger(LPVOID lpParameter)
{
	uint32_t dwRet = 0;

	bTriggerFlag = true;

	CTabPageSix* pWnd = (CTabPageSix*) lpParameter;

	while(bTriggerFlag)
	{
		if(EApiWDogTrigger() != EAPI_STATUS_SUCCESS)
			if(EApiWDogTrigger() != EAPI_STATUS_SUCCESS)
				if(EApiWDogTrigger() != EAPI_STATUS_SUCCESS)
				{
					pWnd->MessageBox(TEXT("EApiWDogTrigger FAILED"), 0, 0);
				}

		Sleep(1500);
	}

	return 0;
}


void CTabPageSix::OnBnClickedEnableWdt()
{
	UpdateData(true);

	switch(EApiWDogStart(m_Delay, m_Event, m_Reset))
	{
		case EAPI_STATUS_SUCCESS:
			GetDlgItem(IDC_ENABLE_WDT)->EnableWindow(FALSE);
			GetDlgItem(IDC_ENABLE_WDT_CUSTOM)->EnableWindow(FALSE);
			GetDlgItem(IDC_DISABLE_WDT)->EnableWindow(TRUE);
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_RUNNING:
			MessageBox(TEXT("EAPI_STATUS_RUNNING"), 0, 0);
			break;
		case EAPI_STATUS_INVALID_PARAMETER:
			MessageBox(TEXT("EAPI_STATUS_INVALID_PARAMETER"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}

	return;
}

void CTabPageSix::OnBnClickedDisableWdt()
{
	switch(EApiWDogStop())
	{
		case EAPI_STATUS_SUCCESS:
			GetDlgItem(IDC_ENABLE_WDT)->EnableWindow(TRUE);
			GetDlgItem(IDC_ENABLE_WDT_CUSTOM)->EnableWindow(TRUE);
			GetDlgItem(IDC_DISABLE_WDT)->EnableWindow(FALSE);
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}
}

void CTabPageSix::OnBnClickedStartTrig()
{
	DWORD   ThreadId;

	GetDlgItem(IDC_START_TRIG)->EnableWindow(FALSE);
	GetDlgItem(IDC_STOP_TRIG)->EnableWindow(TRUE);

	UpdateData(true);

	if(m_Trigger_SW_HW == 0)
	{
		hTrigger = CreateThread(	NULL,					// SD
									0,						// initial stack size
									ThreadProc_Trigger,		// thread function
									this,					// thread argument
									0,						// creation option
									&ThreadId				// thread identifier
 									);
	}

	return;
}

void CTabPageSix::OnBnClickedStopTrig()
{
	TerminateThread(ThreadProc_Trigger, 0);
	bTriggerFlag = false;
	GetDlgItem(IDC_START_TRIG)->EnableWindow(TRUE);
	GetDlgItem(IDC_STOP_TRIG)->EnableWindow(FALSE);
}

void CTabPageSix::OnBnClickedEnableWDTCustom()
{
	uint32_t mode_Event;
	uint8_t mode_Trigger_Type;

	UpdateData(true);

	switch(m_WDT_Mode)
	{
		case 0:
			mode_Event = EAPI_WTD_MODE_SYSTEM_RESET;
			break;
		case 1:
			mode_Event = EAPI_WTD_MODE_PWRBTN_1SEC;
			break;
		case 2:
			mode_Event = EAPI_WTD_MODE_PWRBTN_4SEC;
			break;
		case 3:
			mode_Event = EAPI_WTD_MODE_SIGNAL;
			break;
		default:
			MessageBox(TEXT("EAPI_STATUS_INVALID_PARAMETER"), 0, 0);
			return;
			break;
	}

	switch(m_Trigger_SW_HW)
	{
		case 0:
			mode_Trigger_Type = EAPI_WTD_MODE_ENABLE_SW_TRIGGER;
			break;
		case 1:
			mode_Trigger_Type = EAPI_WTD_MODE_ENABLE_HW_TRIGGER;
			break;
		default:
			MessageBox(TEXT("EAPI_STATUS_INVALID_PARAMETER"), 0, 0);
			return;
			break;
	}
	
	switch(EApiWDog_SetConfigAndStart(	m_Delay, 
										m_Event, 
										m_Reset, 
										mode_Event, 
										EAPI_WTD_MODE_IN_MSEC, 
										EAPI_WTD_MODE_IN_MSEC, 
										mode_Trigger_Type))
	{
		case EAPI_STATUS_SUCCESS:
			GetDlgItem(IDC_ENABLE_WDT)->EnableWindow(FALSE);
			GetDlgItem(IDC_ENABLE_WDT_CUSTOM)->EnableWindow(FALSE);
			GetDlgItem(IDC_DISABLE_WDT)->EnableWindow(TRUE);
			break;
		case EAPI_STATUS_NOT_INITIALIZED:
			MessageBox(TEXT("EAPI_STATUS_NOT_INITIALIZED"), 0, 0);
			break;
		case EAPI_STATUS_UNSUPPORTED:
			MessageBox(TEXT("EAPI_STATUS_UNSUPPORTED"), 0, 0);
			break;
		case EAPI_STATUS_RUNNING:
			MessageBox(TEXT("EAPI_STATUS_RUNNING"), 0, 0);
			break;
		case EAPI_STATUS_INVALID_PARAMETER:
			MessageBox(TEXT("EAPI_STATUS_INVALID_PARAMETER"), 0, 0);
			break;
		case EAPI_STATUS_ERROR:
		default:
			MessageBox(TEXT("EAPI_STATUS_ERROR"), 0, 0);
			break;
	}

	return;
}
